Page MenuHomePhabricator

Provide a date picker for AbuseFilter date fields
Closed, ResolvedPublic

Description

They are very confusing, since there is no documentation on the format to be used by the user for the field "Changes made after" of [[Special:AbuseFilter/examine]] and [[Special:AbuseFilter/test]].

A date picker would make simplify this.

  • Special:AbuseFilter/examine
  • Special:AbuseFilter/test

See Also:
T58368: Provide documentation for the user in the UI about the date formats accepted on date fields of AbuseFilter special pages

Details

Reference
bz56367

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 2:21 AM
bzimport added a project: AbuseFilter.
bzimport set Reference to bz56367.
bzimport added a subscriber: Unknown Object (MLST).
He7d3r created this task.Oct 30 2013, 10:14 AM
matej_suchanek removed a subscriber: wikibugs-l-list.

Change 417811 had a related patch set uploaded (by Matěj Suchánek; owner: Matěj Suchánek):
[mediawiki/extensions/AbuseFilter@master] Use OOUI datetime selectors on Special:AbuseFilter/examine

https://gerrit.wikimedia.org/r/417811

Change 417811 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] Use OOUI datetime selectors on Special:AbuseFilter/examine

https://gerrit.wikimedia.org/r/417811

Huji updated the task description. (Show Details)Mar 10 2018, 4:30 PM
Huji removed a project: Patch-For-Review.
Huji added a subscriber: Huji.Mar 10 2018, 8:06 PM

Change 419801 had a related patch set uploaded (by Daimona Eaytoy; owner: Daimona Eaytoy):
[mediawiki/extensions/AbuseFilter@master] Switch /test to OOUI

https://gerrit.wikimedia.org/r/419801

Change 419801 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] Switch /test and /examine/# to OOUI

https://gerrit.wikimedia.org/r/419801

Daimona closed this task as Resolved.Apr 3 2018, 11:50 AM
Daimona updated the task description. (Show Details)
Daimona removed a project: Patch-For-Review.